 // MultiCRT windows

#include "Appevent.ch"
#include "Font.ch"
#include "Gra.ch"
#include "Xbp.ch"
#include "BOX.ch"


PROCEDURE Main
   LOCAL nEvent := NIL, mp1 := NIL, mp2 := NIL
   LOCAL oDlg, oXbp, drawingArea

   PUBLIC lWin1,lWin2,oPB1,oPB2

   oDlg := XbpDialog():new( AppDesktop(), , {100,100}, {0,0}, , .F.)
   oDlg:clientSize := {400,200}
   oDlg:taskList := .T.
   oDlg:title    := "MultiCRT Windows"
   oDlg:close    := {|| AppQuit() }
   oDlg:create()
   drawingArea := oDlg:drawingArea
   drawingArea:setFontCompoundName( FONT_HELV_SMALL )

   oPB1 := XbpPushButton():new(drawingArea)
   oPB1:caption := "Open Window 1"
   oPB1:create( , , {20,80}, {100,40} )
   oPB1:activate:= {|| OPENWIN(1) }

   oPB2 := XbpPushButton():new(drawingArea)
   oPB2:caption := "Open Window 2"
   oPB2:create( , , {20,20}, {100,40} )
   oPB2:activate:= {|| OPENWIN(2) }


   oDlg:show()
   SetAppWindow( oDlg )
   SetAppFocus( oDlg )

   lWin1:=lWin2:=.F.
   DO WHILE .T.
      nEvent := AppEvent( @mp1, @mp2, @oXbp )
      oXbp:handleEvent( nEvent, mp1, mp2 )
   ENDDO
RETURN


PROCEDURE AppSys()
RETURN

PROCEDURE AppQuit
  QUIT
RETURN


FUNCTION OPENWIN (nWin)
LOCAL oT
DO CASE
    CASE nWin==1 .AND. !lWin1
        oPB1:disable()
        oT:=Thread():new()
        oT:Start("Win1")
    CASE nWin==2 .AND. !lWin2
        oPB2:disable()
        oT:=Thread():new()
        oT:Start("Win2")
ENDCASE
RETURN NIL
